cascading.flow.planner.rule.partitioner

## Class WholeGraphRulePartitioner

- java.lang.Object
- - cascading.flow.planner.rule.RulePartitioner
  - - cascading.flow.planner.rule.partitioner.WholeGraphRulePartitioner

- All Implemented Interfaces:
    Rule
  Direct Known Subclasses:
    WholeGraphNodePartitioner, WholeGraphStepPartitioner

      public class WholeGraphRulePartitioner
      extends RulePartitioner

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.rule.RulePartitioner

      `RulePartitioner.PartitionSource`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.planner.rule.RulePartitioner

      `graphPartitioner, partitionSource, phase`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WholeGraphRulePartitioner(PlanPhase phase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enum[]` | `getAnnotationExcludes()`

    - ### Methods inherited from class cascading.flow.planner.rule.RulePartitioner

      `getGraphPartitioner, getPartitionSource, getRuleName, getRulePhase, partition, partition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WholeGraphRulePartitioner

          protected WholeGraphRulePartitioner(PlanPhase phase)

  - ### Method Detail

    - #### getAnnotationExcludes

          public Enum[] getAnnotationExcludes()

      Specified by:
        `getAnnotationExcludes` in class `RulePartitioner`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.